Subject: Ftp-WG: FTP, TLS and virtual hosting

From: "Jan Mikkelsen" <[email-masked]>
Date: Thu, 21 Sep 2000 18:41:16 -0500

Mark Symons <[email-masked]> wrote:
>I want to see HOST get properly defined because of its importance to using
>the AUTH comand for securing FTP with TLS.

While I haven't read ftp-ssl-06, on the TLS working group we have what looks
like a consensus on extending the TLS ClientHello to include extensions.
Included in that proposal is an extension for a client to provide a dns name
in the client hello, with the specific purpose of allowing the server to
choose an appropriate certificate.

I haven't written up the final proposed changes to the next TLS RFC yet, but
I will do that over the next week or so.

Jan Mikkelsen